// sNZVF[_[̓
struct PS_INPUT
{
	float4 Diffuse         : COLOR0 ;       // fBt[YJ[
	float4 Specular        : COLOR1 ;       // XyLJ[
	float2 TexCoords0      : TEXCOORD0 ;    // eNX`W
	float2 ToonCoords0     : TEXCOORD1 ;    // gD[eNX`W
} ;

// sNZVF[_[̏o
struct PS_OUTPUT
{
	float4 Color0          : COLOR0 ;
} ;



// C++ Őݒ肷eNX`̒`
sampler  DiffuseMapTexture             : register( s0 ) ;		// fBt[Y}bveNX`
sampler  ToonTexture                   : register( s1 ) ;		// gD[eNX`
float4   cfFactorColor                 : register( c5 ) ;		// sx



// main֐
PS_OUTPUT main( PS_INPUT PSInput )
{
	PS_OUTPUT PSOutput ;
	float4 TextureDiffuseColor ;
	float4 ToonColor ;

	// eNX`J[̎擾
	TextureDiffuseColor = tex2D( DiffuseMapTexture, PSInput.TexCoords0 ) ;

	// gD[eNX`J[擾
	ToonColor = tex2D( ToonTexture, PSInput.ToonCoords0 ) ;

	// o = saturate( fBt[YJ[ * gD[eNX`J[ + XyLJ[ ) * eNX`J[
	PSOutput.Color0.rgb = saturate( PSInput.Diffuse.rgb * ToonColor.rgb + PSInput.Specular.rgb ) * TextureDiffuseColor.rgb ;

	// At@l = fBt[YAt@ * }eÃfBt[YAt@ * sx
	PSOutput.Color0.a = TextureDiffuseColor.a * PSInput.Diffuse.a * cfFactorColor.a ;


	// o̓p[^Ԃ
	return PSOutput ;
}


